/*
    Value.java

    @author: <a href="mailto:ovidiu@cup.hp.com">Ovidiu Predescu</a>
    Date: March 22, 2001

    Copyright (C) 2001 Ovidiu Predescu

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.
   
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
   
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
    02111-1307, USA.
 */

package xslt.debugger;

public class Value 
{
  protected Type type = null;
  protected String value = null;

  public Value() {}

  /**
   * Get the type of this value object
   * @return value of type.
   */
  public Type getType()
  {
    return type;
  }
  
  /**
   * Set the value of type.
   * @param type  Value to assign to type.
   */
  public void setType(Type type)
  {
    this.type = type;
  }

  /**
   * Get the value hold by this instance.
   * @return value of value.
   */
  public String getValue()
  {
    return value;
  }
  
  /**
   * Set the value of this instance.
   * @param value  Value to assign to value.
   */
  public void setValue(String value)
  {
    this.value = value;
  }
}
